<?php

namespace App\Http\Controllers\Modules\Usulan;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Master\Provinsi;
use App\Models\Kuesioner;

class CSAMController extends Controller
{
    private $template = 'modules.usulan.csam';
    private $route = 'modules.usulan.csam';
    private $title = 'Usulan CSAM';

    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $data['route'] = $this->route;
        $data['title'] = $this->title;
        $data['provinsi'] = Provinsi::where('kode_wilayah','010000')->get();

        return view($this->template.'.index',$data);
    }

    public function grid(Request $request)
    {
        $kuesioner = Kuesioner::where('level',3)->orderBy('created_at','DESC')->get();
        foreach ($kuesioner as $key => $row) {

            $action = '';

            if((access('is_create', $this->route.'.*')) || (access('is_update', $this->route.'.*'))){
                $action .= '<a href="'.url('kuesioner/update/'.encode_id($row->ms_sekolah_id)).'" data-toggle="tooltip" title="Resume" class="btn btn-xs btn-block btn-primary"><i class="fal fa-eye text-white"></i></a>';
            }

            if($row->level == 0){
                $penghargaan = '<i class="fal fa-trophy"></i>&nbsp;Belum Pernah';
            }elseif($row->level == 1){
                $penghargaan = '<i class="fal fa-trophy"></i>&nbsp;Adiwiyata Kab/Kota';
            }elseif($row->level == 2){
                $penghargaan = '<i class="fal fa-trophy"></i>&nbsp;Adiwiyata Provinsi';
            }elseif($row->level == 3){
                $penghargaan = '<i class="fal fa-trophy"></i>&nbsp;Adiwiyata Nasional';
            }elseif($row->level == 4){
                $penghargaan = '<i class="fal fa-trophy"></i>&nbsp;Adiwiyata Mandiri';
            }

            $sekolah = '';
            $sekolah .= @$row->sekolah->nama_sekolah.'<br>';
            $sekolah .= '<span class="badge bg-success-light text-success">'.@$row->profile->tingkat->name.'</span>&nbsp;';
            $sekolah .= '<span class="badge bg-primary-light text-primary">'.@$row->profile->status_sekolah.'</span>&nbsp;';

            $_data[] = [
                'no'                => $key+1,
                'id'                => encode_id($row->id),
                'npsn'              => $row->sekolah->npsn,
                'nama'              => $sekolah,
                'wilayah'           => $row->sekolah->kabupaten->name,
                'penghargaan'       => $penghargaan,
                'action'            => $action,
            ];

        }

        return response()->json($_data);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
